Commit 605af9a7 authored by Sebastian Dröge's avatar Sebastian Dröge 🍵

Require only 1.13.91 for the v1_14 feature for now

parent 78199071
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-app-1.0";
let shared_libs = ["gstapp-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-audio-1.0";
let shared_libs = ["gstaudio-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-base-1.0";
let shared_libs = ["gstbase-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12_1") {
"1.12.1"
} else if cfg!(feature = "v1_12") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-mpegts-1.0";
let shared_libs = ["gstmpegts-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-net-1.0";
let shared_libs = ["gstnet-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-pbutils-1.0";
let shared_libs = ["gstpbutils-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-player-1.0";
let shared_libs = ["gstplayer-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else {
"1.12"
};
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-rtsp-server-1.0";
let shared_libs = ["gstrtspserver-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-rtsp-1.0";
let shared_libs = ["gstrtsp-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-sdp-1.0";
let shared_libs = ["gstsdp-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-1.0";
let shared_libs = ["gstreamer-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-tag-1.0";
let shared_libs = ["gsttag-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
......@@ -17,7 +17,7 @@ fn find() -> Result<(), Error> {
let package_name = "gstreamer-video-1.0";
let shared_libs = ["gstvideo-1.0"];
let version = if cfg!(feature = "v1_14") {
"1.14"
"1.13.91"
} else if cfg!(feature = "v1_12") {
"1.12"
} else if cfg!(feature = "v1_10") {
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment